Latest 0.0.1
Homepage https://github.com/to4iki/Codic
License MIT
Platforms ios 8.0, osx 10.10, requires ARC
Authors

Carthage compatible
Version
License
Platform

API Reference – codic

Description

codic API v1 client for Swift.

Requirements

  • Built for Swift 1.2
  • Runs on iOS 8 / OS X 10.10 and above

Usage

let client = Codic.Client(accessKey: "your api access_key")

let request = client.lookup("term")
request.onComplete(
    resolve: {
      // success handler
    },
    reject: {
      // failure handler
    }
)
request.resume()

Installation

CocoaPods

Version 0.36 or higher is required. Add the following to your Podfile:

pod 'Codic'

Make sure that you are integrating your dependencies using frameworks: add use_frameworks! to your Podfile. Then run pod install.

Carthage

Add the following to your Cartfile:

github "to4iki/Codic"

Run carthage update and follow the steps as described in Carthage’s README.

Documentation

  • API documentation is available at the wonderful cocoadocs.org
  • This README covers almost all features of Codic
  • The tests contain (trivial) usage examples for every feature

TODO

Error JSON mapping(エラー)

Licence

MIT

Author

to4iki

Latest podspec

{
    "name": "Codic",
    "version": "0.0.1",
    "license": "MIT",
    "summary": "A codic API v1 client for Swift.",
    "homepage": "https://github.com/to4iki/Codic",
    "social_media_url": "http://twitter.com/to4iki",
    "authors": {
        "tsk takezawa": "[email protected]"
    },
    "source": {
        "git": "https://github.com/to4iki/Codic.git",
        "tag": "0.0.1"
    },
    "platforms": {
        "ios": "8.0",
        "osx": "10.10"
    },
    "source_files": "Codic/**/*.swift",
    "requires_arc": true
}

Pin It on Pinterest

Share This